eCMRhub.docs
API referenceSigning links

Revoke a signing link

POST
/rest/v1/rpc/revoke_sign_grant

Revokes one signing link. May need a person's approval.

Authorization

apikeybearerAuth
headerapikey<token>
headerAuthorizationBearer <JWT>

Header Parameters

x-ecmr-approval?string

Id of the approval a person gave for exactly this request. Omitted: a connection that requires approval gets 428 APPROVAL_REQUIRED and the approval to ask for.

Formatuuid

Request Body

application/json
  1. body
document_id*string
Formatuuid
role*string
Value in"sender""carrier""consignee"

Response Body

Success

application/json
  1. response
ok*boolean
Example Request
curl -X POST 'https://api-ecmr-dev.lucaspiera.com/rest/v1/rpc/revoke_sign_grant' \  -H 'Content-Type: application/json' \  -d '{  "document_id": "b792e8ae-2cb4-4209-85b9-32be4c2fcdd6",  "role": "sender"}'
Example Response
{  "ok": true}